/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the UpdateConsentRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &UpdateConsentRequest{}

// UpdateConsentRequest struct for UpdateConsentRequest
type UpdateConsentRequest struct {
	Active bool `json:"active"`
}

// NewUpdateConsentRequest instantiates a new UpdateConsentRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUpdateConsentRequest(active bool) *UpdateConsentRequest {
	this := UpdateConsentRequest{}
	this.Active = active
	return &this
}

// NewUpdateConsentRequestWithDefaults instantiates a new UpdateConsentRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUpdateConsentRequestWithDefaults() *UpdateConsentRequest {
	this := UpdateConsentRequest{}
	return &this
}

// GetActive returns the Active field value
func (o *UpdateConsentRequest) GetActive() bool {
	if o == nil {
		var ret bool
		return ret
	}

	return o.Active
}

// GetActiveOk returns a tuple with the Active field value
// and a boolean to check if the value has been set.
func (o *UpdateConsentRequest) GetActiveOk() (*bool, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Active, true
}

// SetActive sets field value
func (o *UpdateConsentRequest) SetActive(v bool) {
	o.Active = v
}

func (o UpdateConsentRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o UpdateConsentRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["active"] = o.Active
	return toSerialize, nil
}

type NullableUpdateConsentRequest struct {
	value *UpdateConsentRequest
	isSet bool
}

func (v NullableUpdateConsentRequest) Get() *UpdateConsentRequest {
	return v.value
}

func (v *NullableUpdateConsentRequest) Set(val *UpdateConsentRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableUpdateConsentRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableUpdateConsentRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUpdateConsentRequest(val *UpdateConsentRequest) *NullableUpdateConsentRequest {
	return &NullableUpdateConsentRequest{value: val, isSet: true}
}

func (v NullableUpdateConsentRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUpdateConsentRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


